После обновления и обновления apt-get мне нужно перекомпилировать и переустановить программное обеспечение, которое я не установил с помощью apt-get install?

В частности, я заметил, что мой OpenSSL был обновлен после обновления системы через sudo apt-get update и sudo apt-get upgrade .

Когда я установил свой Squid-сервер вручную, выполнив компиляцию, настройку и установку с помощью ./configure , make all и make install , я обеспокоен тем, работает ли мой текущий Squid с старым программным обеспечением OpenSSL.

Нужно ли мне перекомпилировать и переустановить Squid в этом случае?

One Solution collect form web for “После обновления и обновления apt-get мне нужно перекомпилировать и переустановить программное обеспечение, которое я не установил с помощью apt-get install?”

Если ваша библиотека OpenSSL динамически связана с исполняемым файлом Squid, то она будет использовать текущую библиотеку OpenSSL. У него нет выбора, поскольку старый будет удален во время обновления системы.

С другой стороны, если Squid был статически связан во время компиляции с библиотекой OpenSSL, он будет использовать старый.

Бег:-

 ldd <path to squid executable> 

и посмотрите, включена ли библиотека OpenSSL. Если это так, то это динамически связано, и все в порядке.

  • Политическая маршрутизация с помощью соединений ppp с балансировкой нагрузки
  • Фильтр трафика CentOS
  • Как изменить идентификатор UID Squid во FreeBSD?
  • Есть ли какая-либо командная строка, общий HTTP-прокси (например, Squid)?
  • Прозрачный прокси-сервер для другого IP-адреса тысяч портов
  • обходной брандмауэр с Openvpn + Squid
  • Как разрешить OCSP, но запретить все другие исходящие HTTP-запросы?
  • Джесси, чтобы продлить обновление; прокси-сервер squid сломан
  • Сделать SSL-сертификат доверенным в браузере через SSL Bump Squid
  • Невозможно переадресовать пакет в pf при настройке прозрачного кальмара 3.4.13 на OpenBSD 5.7
  • Настройка маршрутизатора трафика (прокси?) Для производства
  • Linux и Unix - лучшая ОС в мире.